Bug 725668 (CVE-2011-2713) - CVE-2011-2713 openoffice.org: Out-of-bounds read in DOC sprm parser
Summary: CVE-2011-2713 openoffice.org: Out-of-bounds read in DOC sprm parser
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-2713
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20111004,reported=20110726,sou...
Depends On:
Blocks: 725683
TreeView+ depends on / blocked
 
Reported: 2011-07-26 08:48 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 10:41:16 UTC


Attachments (Terms of Use)
patch1 (677 bytes, patch)
2011-07-26 08:53 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
patch2 (3.61 KB, patch)
2011-07-26 08:54 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
patch3 (629 bytes, patch)
2011-07-26 08:54 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
patch4 (2.46 KB, patch)
2011-07-26 08:55 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
patch5 (1.37 KB, patch)
2011-07-26 08:55 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
combined backport to OpenOffice.org 3.2.1 (8.09 KB, patch)
2011-09-16 16:00 UTC, Caolan McNamara
no flags Details | Diff

Description Huzaifa S. Sidhpurwala 2011-07-26 08:48:45 UTC
 A heap-based buffer out-ouf-bounds read was found in the way OpenOffice.org imported certain Microsoft Word Binary File Format (.DOC) file.If a user opened a specially-crafted DOC file in OpenOffice.org suite tool (oowriter), it could lead to denial of service (oowriter executable crash), or possibly, execute arbitrary code with the privileges of the user running OpenOffice.org Writer.

This has been assigned CVE-2011-2713.

Comment 2 Huzaifa S. Sidhpurwala 2011-07-26 08:53:50 UTC
Created attachment 515212 [details]
patch1

Comment 3 Huzaifa S. Sidhpurwala 2011-07-26 08:54:30 UTC
Created attachment 515213 [details]
patch2

Comment 4 Huzaifa S. Sidhpurwala 2011-07-26 08:54:51 UTC
Created attachment 515214 [details]
patch3

Comment 5 Huzaifa S. Sidhpurwala 2011-07-26 08:55:23 UTC
Created attachment 515215 [details]
patch4

Comment 6 Huzaifa S. Sidhpurwala 2011-07-26 08:55:47 UTC
Created attachment 515216 [details]
patch5

Comment 12 Caolan McNamara 2011-09-16 16:00:13 UTC
Created attachment 523579 [details]
combined backport to OpenOffice.org 3.2.1

Comment 13 Huzaifa S. Sidhpurwala 2011-10-05 10:38:42 UTC
This is public via:
http://www.libreoffice.org/advisories/CVE-2011-2713/

Comment 14 Huzaifa S. Sidhpurwala 2011-10-05 10:40:46 UTC
It initially appeared that this flaw may be exploitable similar to CVE-2010-3452, where an OOB Read caused Arbitrary Code Execution. However in the case of this particular flaw, the junk data read is just parsed into an internal representation of properties and the maximum harm this should cause in application crash (Denial Of Service). 

Timeline:
- Reported to securityteam@openoffice.org on 25-July-2011
- Recieved a reply (with tdf-security@lists.documentfoundation.org copied) on the same date 
- Release date changed with a few delays in between
- Release on 5-Oct-2011


Statement:

This issue results in an OOB read which is not exploitable for arbitrary code execution and can simply cause a crash. We do not consider this as a security issue.

Comment 15 Murray McAllister 2012-10-03 04:20:13 UTC
Acknowledgements:

This issue was discovered by Huzaifa Sidhpurwala of the Red Hat Security Response Team.


Note You need to log in before you can comment on or make changes to this bug.